/*******************************************************************************
*   Author       -  3 BYTE MI                                                  *
*                   http://haromb.freeweb.hu                                   *
*   Date         -  2008.11.08.                                                *
*   Chip         -  Atmel ATtiny2313                                           *
*   Hardware     -  AVR1 tesztpanel                                            *
*   Compiler     -  avr-gcc (WinAVR 20080610) 4.3.0                            *
*                                                                              *
*   SW1 lenyomasara LED1-et bekapcsolja, SW2 lenyomasara LED1-et kikapcsolja   *
*                                                                              *
********************************************************************************
*   PonyProg Configuration and Security Bits - bepipalva:                      *
*   Belso 4MHz-es osszc.:     SUT0, CKSEL3, CKSEL2, CKSEL0                     *
*   Kulso keramia rezonator:  SUT0                                             *
*                                                                              *
*******************************************************************************/
#include "attiny2313.h"




#define MHz           000000
#define kHz           000
#define F_CPU         4MHz


// PORTD bitjei
#define SW1           5
#define SW2           6
#define LED1          3
#define LED2          4


#define BS(bit)       |= ( 1 << ( bit))          // egy byte adott bitjenek 1-re allitas
#define BC(bit)       &= ~( 1 << ( bit))         // egy byte adott bitjenek 0-ra allitas
#define BTS(sfr,bit)  bit_is_set( sfr, bit)      // egy regiszter egy bitjenek vizsgalata 1-re
#define BTC(sfr,bit)  bit_is_clear( sfr, bit)    // egy regiszter egy bitjenek vizsgalata 0-ra


#define LED1_ON       PORTD BC( LED1)
#define LED1_OFF      PORTD BS( LED1)
#define LED2_ON       PORTD BC( LED2)
#define LED2_OFF      PORTD BS( LED2)


#define SW1_ON        BTC( PIND, SW1)           // SW1 lenyomva?
#define SW2_ON        BTC( PIND, SW2)           // SW2 lenyomva?




int main( void)
{
   DDRD BS( LED1);                               // szukseges labak kimenetre allitasa
   DDRD BS( LED2);
   LED1_OFF;
   LED2_ON;
   for(;;)                                       // vegtelen ciklus
   {
      if( SW1_ON) LED1_ON;                       // 1. gombra bekapcsolja a LED1-et
      if( SW2_ON) LED1_OFF;                      // 2. gombra kikapcsolja a LED1-et
   }
}
